[pisa-src] r2547 - trunk/tools/testbed/scripts/conf_dist_openwrt

  • From: Samuel Richter <samuel.richter@xxxxxxxxxxxxxx>
  • To: pisa-src@xxxxxxxxxxxxx
  • Date: Tue, 19 Apr 2011 17:40:31 +0200

Author: richter
Date: Tue Apr 19 17:40:31 2011
New Revision: 2547

Log:
some improvements to an obsolete openwrt configure script
only to have the final version in svn, the file will be deleted with the next 
commit

Modified:
   trunk/tools/testbed/scripts/conf_dist_openwrt

Modified: trunk/tools/testbed/scripts/conf_dist_openwrt
==============================================================================
--- trunk/tools/testbed/scripts/conf_dist_openwrt       Tue Apr 19 17:36:08 
2011        (r2546)
+++ trunk/tools/testbed/scripts/conf_dist_openwrt       Tue Apr 19 17:40:31 
2011        (r2547)
@@ -37,7 +37,6 @@
 PISA_PATH=$(sanitize_path $2)
 HIPL_PATH=$(sanitize_path $3)
 PISA_OPENWRT_PATH=$PISA_PATH/openwrt
-ROUTER_MODEL=$4
 
 ### print help ###
 case $1 in
@@ -55,38 +54,39 @@
 
 ### configure OpenWrt tree ###
 PISA_VERSION=$(basename ${PISA_PATH}/pisa*.tar.gz | sed -e s/pisa-// -e 
s/.tar.gz//)
-OPENWRT_VERSION="SVN r$(svn info ${OPENWRT_PATH} | grep Revision: | cut -d' ' 
-f2)"
+#OPENWRT_VERSION="SVN r$(svn info ${OPENWRT_PATH} | grep Revision: | cut -d' ' 
-f2)"
 
 #some might use git to check out OpenWRT
-svn info $OPENWRT_PATH >/dev/null 2>/dev/null
-if [ $? -ne 0 ] ; then
-    OPENWRT_VERSION="SVN r$(cd ${OPENWRT_PATH} && git log | grep git-svn-id | 
head -1 | tr -s '@' ' ' | cut -f 4 -d ' ')"
-fi
+#svn info $OPENWRT_PATH >/dev/null 2>/dev/null
+#if [ $? -ne 0 ] ; then
+#    OPENWRT_VERSION="SVN r$(cd ${OPENWRT_PATH} && git log | grep git-svn-id | 
head -1 | tr -s '@' ' ' | cut -f 4 -d ' ')"
+#fi
 
 echo "Pisa Version   : " $PISA_VERSION
-echo "openWRT Version: " $OPENWRT_VERSION
+#echo "openWRT Version: " $OPENWRT_VERSION
 
-sed -i -e "s/| PISA version: Subversion HEAD     |/| PISA version: 
$PISA_VERSION            |/" "${OPENWRT_PATH}/files/etc/banner"
-sed -i -e "s/| OpenWrt version: 8.09.1           |/| OpenWrt version: 
$OPENWRT_VERSION       |/" "${OPENWRT_PATH}/files/etc/banner"
+#sed -i -e "s/| PISA version: Subversion HEAD     |/| PISA version: 
$PISA_VERSION            |/" "${OPENWRT_PATH}/files/etc/banner"
+#sed -i -e "s/| OpenWrt version: 8.09.1           |/| OpenWrt version: 
$OPENWRT_VERSION       |/" "${OPENWRT_PATH}/files/etc/banner"
 
 mkdir -p "${OPENWRT_PATH}/dl"
 rsync ${PISA_PATH}/pisa*.tar.gz ${OPENWRT_PATH}/dl
 rsync ${HIPL_PATH}/hipl*.tar.gz ${OPENWRT_PATH}/dl
 
-mkdir -p "${OPENWRT_PATH}/package/hipl"
-rsync -Lr --delete "${HIPL_PATH}/packaging/openwrt/hipl/Makefile"     
"${OPENWRT_PATH}/package/hipl"
+mkdir -p "${OPENWRT_PATH}/package"
+rsync -Lr --delete --exclude=.svn "${HIPL_PATH}/packaging/openwrt/hipl" 
"${OPENWRT_PATH}/package/"
 sed -i -e "s/init\.d/no-init\.d/g" $OPENWRT_PATH/package/hipl/Makefile
-rsync -Lr --delete "${HIPL_PATH}/packaging/openwrt/hipl/files"        
"${OPENWRT_PATH}/package/hipl"
-rsync -Lr --delete --exclude=.svn "${PISA_OPENWRT_PATH}/package/pisa" 
"${OPENWRT_PATH}/package/"
 
+rsync -Lr --delete --exclude=.svn "${PISA_OPENWRT_PATH}/package/pisa" 
"${OPENWRT_PATH}/package/"
 sed -i -e "s/PKG_VERSION:=.*/PKG_VERSION:=$PISA_VERSION/" 
"${OPENWRT_PATH}/package/pisa/Makefile"
 sed -i -e "s/init\.d/no-init\.d/g" $OPENWRT_PATH/package/pisa/Makefile
 
 "${OPENWRT_PATH}/scripts/feeds" update > /dev/null
 "${OPENWRT_PATH}/scripts/feeds" install iw ipsec-tools libconfig 
libnetfilter-queue libxml2 ntpclient tcpdump stunnel webif iperf > /dev/null
 
-# This has to come after the feed installation. Otherwise the .config file gets
-# modified and entries about not-yet-installed programs are clobbered.
-# Copy only changed .config files to avoid triggering unnecessary rebuilds.
+#cd $OPENWRT_PATH
+#for patch in $PISA_OPENWRT_PATH/patches/*.patch; do
+#    patch --dry-run --batch --forward --strip=0 --input=$patch > /dev/null &&
+#    patch --batch --strip=0 --input=$patch
+#done
 
 echo "Now go to the directory containing your openwrt checkout and call 'make' 
there."
-- 
This is the pisa developer mailing list. Please also subscribe to the main pisa 
list at:
//www.freelists.org/list/pisa

Other related posts:

  • » [pisa-src] r2547 - trunk/tools/testbed/scripts/conf_dist_openwrt - Samuel Richter